
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef XSTD_IOSTREAM_META_H
#define XSTD_IOSTREAM_META_H

#include "xstd/h/iosfwd.h"

// we curerntly give priority to old, backword compatible headers
#ifdef HAVE_IOSTREAM_H
#	include <iostream.h>
#elif HAVE_IOSTREAM
#	include <ios>
#	include <iostream>
#endif

#ifdef HAVE_TYPE_IOS_FMTFLAGS
	typedef ios::fmtflags ios_fmtflags;
#elif HAVE_TYPE_IOS_BASE_FMTFLAGS
	typedef std::ios_base::fmtflags ios_fmtflags;
#else
	typedef long ios_fmtflags;
#endif

#endif
