
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_PGL_STRING_IS_H
#define PG_PGL_STRING_IS_H

class String;
class Time;
class BigSize;
class NetAddr;

extern bool pglIsRatio(const String &str, double &r);
extern bool pglIsRelTime(const String &str, Time &t);
extern bool pglIsAbsTime(const String &str, Time &t);
extern bool pglIsSize(const String &str, BigSize &s);
extern bool pglIsNetAddr(const String &str, NetAddr &a);

#endif
