
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_RUNTIME_SSL_WRAPS_H
#define PG_RUNTIME_SSL_WRAPS_H

#include "runtime/ConfigSymMgr.h"
#include "runtime/SslWrap.h"
#include "pgl/SslWrapSym.h"

// prevents creation of large number of identical SslWrap descriptions
class SslWraps: public ConfigSymMgr<SslWrapSym, SslWrap> {
	protected:
		virtual SslWrap *makeCfg();
};

extern SslWraps TheSslWraps;

#endif
