
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef XSTD_DLFCN_WRAPPER_H
#define XSTD_DLFCN_WRAPPER_H

#if HAVE_DLFCN_H
#include <dlfcn.h>
#endif

#ifndef HAVE_DLOPEN
	inline void *dlopen(const char *, int) { return 0; }
	inline void *dlsym(void *, const char *) { return 0; }
	inline const char *dlerror() { return "loadable modules not supported"; }
	inline int dlclose(void *) { return -1; }
#endif

#endif
